---
nameOverride: ""
fullnameOverride: ""

image:
  pullPolicy: IfNotPresent
  repository: registry.gitlab.com/commonground/huishoudboekje/data-importer/data-importer
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""
  ## E.g.
  ## pullSecrets:
  ##   - name: myImagePullSecretName
  ##
  pullSecrets: []

containerSecurityContext:
  enabled: true
  capabilities:
    drop:
      - ALL
  runAsNonRoot: true

podSecurityContext:
  enabled: false
# fsGroup: 2000

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

nodeSelector: []
affinity: {}
tolerations: []

# Helm release name of HHB, supplied when installing and upgrading Huishoudboekje through the huishoudboekje Helm
# charts.
hhbReleaseName: huishoudboekje-tst

importer:
  generate_data:
    # It is not allowed to have both generate_data and datasource enabled.
    enabled: true
    # Optionally define the number of organisations that need to be created.
    num_organisations: 2500
    # Optionally define the number of "burgers" (citizens) that need to be created.
    num_citizens: 500
    # If seed is empty, a random one will be generated by Helm
    seed: ""
  datasource:
    enabled: false
    # Sets where to fetch data to import. Can be "url" or "file".
    type: url
    # Standard Huishoudboekje sample data
    url: https://gitlab.com/commonground/huishoudboekje/data-importer/-/raw/master/data/example/data.json
    # Configures whether TLS certificate should be checked (`false`) or not (`true`) when fetching import JSON from URL.
    insecure: false
    file: |-
      # provide JSON data here.
      # Pay attention to the indentation: everything needs to be indented at least 2 spaces.

# Set log level, possible options are: trace, debug, info, warn, error, silent
log_level: info
